/* Problem URL: https://codeforces.com/problemset/problem/1808/C */

#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;
using namespace __gnu_pbds;

template <class T, class comp = less<>>
using ordered_set = tree<T, null_type , comp , rb_tree_tag , tree_order_statistics_node_update>;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;
using vvvvvi = vector<vvvvi>;
using vvvvvvi = vector<vvvvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

const int oo = INT32_MAX >> 1;
const ll OO = INT64_MAX >> 1;


void pre()
{

}

#define TEST 1

void solve()
{
    string a, b;
    cin >> a >> b;

    string zer(b.size() - a.size(), '0');
    a = zer + a;
    int n = a.size();
    rep(i, n) {
        a[i] -= '0';
        b[i] -= '0';
    }

    vvvvvvi memo(n, vvvvvi(2, vvvvi(2, vvvi(2, vvi(10, vi(10, -1))))));

    function<int(int, int, int, int, int, int)> dp = [&](int i, int u, int o, int s, int mi, int ma){
        if (i >= n) {
            return ma - mi;
        }

        int &ans = memo[i][u][o][s][mi][ma];
        if (ans != -1) {
            return ans;
        }
        ans = oo;

        for (int j = o ? 0 : a[i]; j <= (u ? 9 : b[i]); j++) {
            rmin(ans, dp(i + 1, u || j < b[i], o || j > a[i], s || j != 0, s || j != 0 ? min(mi, j) : 9, s || j != 0 ? max(ma, j) : 0));
        }
        return ans;
    };

    int target = dp(0, 0, 0, 0, 9, 0);

    string ans;
    function<void(int, int, int, int, int, int)> rec = [&](int i, int u, int o, int s, int mi, int ma) {
        for (int j = o ? 0 : a[i]; j <= (u ? 9 : b[i]); j++) {
            bool nu = u || j < b[i];
            bool no = o || j > a[i];
            bool ns = s || j != 0;

            int nmi = ns ? min(mi, j) : 9;
            int nma = ns ? max(ma, j) : 0;

            if (i == n - 1) {
                if (nma - nmi == target) {
                    ans += j + '0';
                    return;
                }
                continue;
            }

            if (memo[i + 1][nu][no][ns][nmi][nma] == target) {
                ans += j + '0';
                rec(i + 1, nu, no, ns, nmi, nma);
                return;
            }
        }
    };

    rec(0, 0, 0, 0, 9, 0);

    cout << stoll(ans) << '\n';
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    pre();

    int t;
    (TEST && cin >> t) || (t = 1);
    while (t--) {
        solve();
    }
}
